Search Results for

Show / Hide Table of Contents

# Class MenuItemCheckStyle

Specifies how a MenuItem shows selection state.

##### Inheritance

System.Object
MenuItemCheckStyle

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class MenuItemCheckStyle : Enum

### Fields

#### Checked

The menu item will indicate checked/un-checked state (see Checked.

##### Declaration

    public const MenuItemCheckStyle Checked

##### Field Value

Type | Description
--- | ---
MenuItemCheckStyle |

#### NoCheck

The menu item will be shown normally, with no check indicator.

##### Declaration

    public const MenuItemCheckStyle NoCheck

##### Field Value

Type | Description
--- | ---
MenuItemCheckStyle |

#### Radio

The menu item is part of a menu radio group (see Checked and will indicate selected state.

##### Declaration

    public const MenuItemCheckStyle Radio

##### Field Value

Type | Description
--- | ---
MenuItemCheckStyle |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |